Author Topic: SMB version issues with LinkStation LS-WVL  (Read 5541 times)

BarryNeedsHelp

  • Calf
  • *
  • Posts: 3
SMB version issues with LinkStation LS-WVL
« on: May 04, 2020, 12:24:37 am »
Greetings.

I have two LinkStation - LS-WVL models that have worked well for me for a while now. But with an update in Windows 10, they started having problems connecting because of the SMB version. Sometimes I can manage to get Win10 to connect and sometimes I can't, but it's my wife using Windows and she doesn't usually need to access the NAS, so that hasn't been a burning issue.

This weekend I upgraded my own laptop from Ubuntu 16.04 to 20.04, and now I cannot access my NASes either. My fstab entry was copied/pasted directly from my old file, and I've updated the smb.conf file with client min protocol = CORE, but these don't help. When I try to mount from fstab, I get this error:
mount: /media/FileServer: special device //192.168.1.2/share does not exist.

I understand that Buffalo has never officially supported using this device with Linux (ironic, since it runs on Linux), but I'm hoping that someone out there may have some suggestion for how to reconnect. Thanks!

My firmware version is 1.64, which is the newest available from Buffalo.

1000001101000

  • Debian Wizard
  • Big Bull
  • *****
  • Posts: 830
  • There's no problem so bad you cannot make it worse
Re: SMB version issues with LinkStation LS-WVL
« Reply #1 on: May 04, 2020, 09:33:22 am »
I ran into an issue connecting after an upgrade similar to what you describe a while back. If you use a credentials file for your connection, the option in fstab changed from "credential=" to "credentials=" at some point. I think that was before the distros you're talking about though.

There is probably more detailed information available in your syslog. My guess would be that modern versions of samba(smbclient?) reject SMB1 by default just like windows does. I believe there is a way to change that behavior if needed.

There is also a thread on here somewhere where someone came up with a way to enable SMB2 on some of these devices by modifying the samba config on the command line.

If you're a linux persion you may want to skip all of the above and just install Debian on the device. Information about that can be found here:
https://github.com/1000001101000/Debian_on_Buffalo



BarryNeedsHelp

  • Calf
  • *
  • Posts: 3
Re: SMB version issues with LinkStation LS-WVL
« Reply #2 on: May 04, 2020, 10:57:59 am »
Thanks for the input, 0x1068.

I was fortunate in that someone on the Ubuntu forum knew a solution to the problem for me. I had this in my fstab file:
//192.168.1.2/share /mnt/FileServer cifs username=guest,uid=1000 0 0

What I needed in my fstab file was this:
//192.168.1.2/share /mnt/FileServer cifs username=guest,uid=1000,vers=1.0,sec=ntlm 0 0

The vers forces the negotiation to use the older version of smb, and the sec sets the appropriate security mode. With this change to my fstab file, my network drives mount flawlessly.

I'm posting this information here for anybody else to find, because what has worked for me can be helpful to someone else. Best of luck to whoever finds this in the future!

(My solution was provided here: https://askubuntu.com/questions/1234934/20-04-upgrade-makes-nas-unavailble )

BarryNeedsHelp

  • Calf
  • *
  • Posts: 3
Re: SMB version issues with LinkStation LS-WVL
« Reply #3 on: May 04, 2020, 11:01:32 am »
Administrators, I am content to have this thread moved to the "solved" section of the forum, but do not know how to make that happen.